=== debian/changelog ===
boinc (7.2.47+dfsg-3~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1325324)

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 28 Jun 2015 20:31:38 -0500

boinc (7.2.47+dfsg-3) unstable; urgency=medium

  * Fix typo in debian/rules, we were unnecessarily building
    server stuff.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 24 May 2014 23:57:56 +0200

boinc (7.2.47+dfsg-2) unstable; urgency=medium

  * samples/zip/unzip only built with server.
  * Revert Versioned dependency on libcurl4-openssl-dev (>= 7.36.0)
    the build failure caused by old libcurl seems fixed.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 03 May 2014 15:15:32 +0200

boinc (7.2.47+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Versioned dependency on libcurl4-openssl-dev (>= 7.36.0) [moeller]

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 20:46:17 -0400

boinc (7.2.44+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 13:09:31 -0400

boinc (7.2.43+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release. (only bumped the version)

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 05 Apr 2014 12:51:38 -0400
