## boinc 7.4.8+dfsg

=== debian/changelog ===
boinc (7.4.8+dfsg-3ubuntu1) utopic; urgency=medium

  * Cherry-pick from unstable:
    - Add libcudart6.0 compatibility.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2014 13:58:30 +0100

boinc (7.4.8+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Reverting some control.in changes to let the package
    be NMUable.
  * Remove a .o file from server-maker package

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 18 Jul 2014 10:54:49 +0200

boinc (7.4.8+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 16 Jul 2014 16:50:27 +0200

boinc (7.4.8+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Move ati and nvidia libraries from depends to suggests,
    avoiding the removals from testing at each xorg transition.

  [ Gianfranco Costamagna ]
  * Change libwxgtk2.8-dbg to libwxgtk3.0-0-dbg.
  * Add some cuda suggestions, to help both ubuntu and debian users
    Thanks Danilo for the patch.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 04 Jul 2014 14:22:31 +0200

boinc (7.4.8+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:55:35 +0200

boinc (7.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release. (LP: #1332955)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 28 Jun 2014 12:35:21 +0200

boinc (7.4.7+dfsg-1exp1) experimental; urgency=medium

  * New upstream release.

  [ Steffen Moeller ]
  * Automatic download of Linux BOINC server apps.

  [ Guo Yixuan (郭溢譞) ]
  * Dropped ticket_1168_verifycerts.patch: the bug was already fixed.
  * Dropped several debugging-only patches:
    - investigate_boinc_api.patch
    - opendir_errno.patch
    - opendir_error_messages.patch
    - slot_dir_source_trace.patch
    - improve_opendir_warning.patch
  * Dropped sched_driver_f_free.patch: the relevant part was already
    merged in upstream.

  [ Gianfranco Costamagna ]
  * Dropped fix-747964.patch (Reopen: #747964)
    Upstream says this is unreachable code, no need to fix.
  * Update cc_config.xml link, thanks to Danilo for the report.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Mon, 23 Jun 2014 22:00:17 -0400

boinc (7.4.1+dfsg-1exp1) experimental; urgency=medium

  * New upstream release, some api changes, patch refresh
  * d/r: Removing some buildflags includes.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 11 Jun 2014 12:25:03 +0200

boinc (7.3.19+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:53:22 +0200

boinc (7.3.19+dfsg-3) unstable; urgency=medium

  * Upload to unstable, with disabled dependency tracking
    again, and disabled parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 22:42:40 +0200

boinc (7.3.19+dfsg-2exp2) experimental; urgency=low

  * Trying to fix FTBFS by disabling parallel builds.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 02 Jun 2014 08:10:31 +0200

boinc (7.3.19+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental, with server packages.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:35:34 +0200

boinc (7.3.19+dfsg-2) unstable; urgency=low

  [ Guo Yixuan (郭溢譞) ]
  * Use more debhelper features.
  * Dropped some patches
    - parse_issues.patch: since the relevant part has been applied by
      the upstream already.
    - nvidia_mem_display_simplification.patch: the relevant part was
      already removed in a previous adjustment.

  [ Gianfranco Costamagna ]
  * Upload to unstable (Closes: #749843, #747964, #746830)
  * Fix typo in debian/rules, we were unnecessarily building server stuff.
  * Split the server dynamic linkage away from Missing_libSched.patch in a new
    boinc-server-dynamic-libs.patch patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 30 May 2014 15:27:55 +0200

boinc (7.3.19+dfsg-1) experimental; urgency=low

  * New upstream release, wx3.0 compatible.
    - add libwxgtk-webview3.0-dev as B-D
  * Removed patches addressed upstream:
    - 0001-Client-Unix-attempt-to-fix-freebsd-build-error.patch
    - correctly-set-OBJCXX.patch
    - hurd-ftbfs.patch
    - fixed-tools-permissions.patch
    - fix-android-build.patch
    - fix-file-perms.patch
    - fix-italian-po.patch
    - fix-lp-1274456.patch
  * Removed fix-add-exclusive-app.patch, addressed in wx3.0 switch
  * Tweak envargs patch, changing prototype.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 21 May 2014 16:49:07 +0200

boinc (7.2.47+dfsg-3) UNRELEASED; urgency=medium

  * Add return values to envargs function (Closes: #747964)
    Note: upstream didn't apply this patch because it seems to be
    unreachable code.
  * Fix gcc-4.9 build failure (Closes: #746830)
    - debian/patches/Missing_libSched.patch
    - patches/correctly-set-OBJCXX.patch

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:58:51 +0200

boinc (7.2.47+dfsg-2exp1) experimental; urgency=medium

  * Release to experimental

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 18 May 2014 20:53:31 +0200
