=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: boinc
 Section: net
 Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, 
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
  Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
@@ -12,7 +13,7 @@
  docbook2x, docbook-xml, libxml2-utils,
  zlib1g-dev, libssl-dev, libcurl4-openssl-dev,
  libsm-dev, libice-dev, libxmu-dev, libxi-dev, libx11-dev, libnotify-dev (>= 0.7.0),
- freeglut3-dev, libwxgtk2.8-dev, libgtk2.0-dev,
+ freeglut3-dev, libwxgtk3.0-dev, libwxgtk-webview3.0-dev, libgtk2.0-dev,
  libsqlite3-dev, libmysqlclient-dev, python, libfcgi-dev, libjpeg-dev,
  libxcb-util0-dev, libxcb-dpms0-dev,
  libxss-dev, libxext-dev
@@ -23,7 +24,7 @@
 Package: boinc
 Architecture: all
 Depends: ${misc:Depends},
- boinc-client (>= ${binary:Version}), boinc-manager (>= ${binary:Version})
+ boinc-client (>= ${source:Version}), boinc-manager (>= ${source:Version})
 Description: metapackage for the BOINC client and the manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -37,13 +38,12 @@
  BOINC Manager, a graphical monitor and control utility for the
  BOINC core client.
 
-# Not compatible with Wheezy with direct notion of libcuda1:i386 [amd64]
 Package: boinc-nvidia-cuda
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}, boinc, libcuda1 | libcuda-5.0-1 | nvidia-304 | nvidia-310 | nvidia-319,
-Recommends: libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
+Depends: ${misc:Depends}
+Recommends: libcuda1 | libcuda-5.0-1 | libcuda-5.5-1 | nvidia-173 | nvidia-current | nvidia-current-updates | nvidia-304 | nvidia-304-updates | nvidia-310 | nvidia-310-updates | nvidia-313-updates | nvidia-319 | nvidia-319-updates | nvidia-331 | nvidia-331-updates | libcuda1-304 | libcuda1-304-updates | libcuda1-331 | libcuda1-331-updates, libcudart4 | libcudart5.0 | libcudart5.5 | libcudart6.0
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -62,7 +62,8 @@
 Architecture: amd64 i386
 Section: contrib/net
 Priority: extra
-Depends: ${misc:Depends}, boinc, fglrx-driver, amd-libopencl1|fglrx|fglrx-updates
+Depends: ${misc:Depends}
+Recommends: fglrx-driver, amd-libopencl1 | fglrx | fglrx-updates
 Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -85,11 +86,11 @@
 Package: boinc-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libboinc7 (= ${binary:Version}),
+ libboinc7 (>= ${source:Version}),
  ${python:Depends},
  adduser,
  ca-certificates
-Suggests: boinc-manager, x11-xserver-utils, libcuda1-i386 [amd64] | libcuda-5.0-1-i386 [amd64]
+Suggests: boinc-manager, boinc-amd-opencl, boinc-nvidia-cuda, x11-xserver-utils
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -151,9 +152,9 @@
  libboinc-app7 (>= ${source:Version}),
  libboinc-app7 (<< ${source:Version}+1~),
  libc6-dev | libc-dev,
- libstdc++6-4.7-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
-Breaks: boinc-dev (<< 7.0.28+dfsg-3)
-Replaces: boinc-dev (<< 7.0.28+dfsg-3)
+ libstdc++6-4.7-dev | libstdc++-4.8-dev | libstdc++-4.9-dev, libssl-dev, libmysqlclient-dev
+Breaks: boinc-dev (<< ${source:Version})
+Replaces: boinc-dev (<< ${source:Version})
 Description: development files to build applications for BOINC projects
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing using volunteered computer
@@ -203,9 +204,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}) | libboinc7 (= ${binary:Version}) | libboinc-app7 (= ${binary:Version}),
+Depends: boinc-client (>= ${source:Version}) | boinc-manager (>= ${source:Version}) | libboinc7 (= ${source:Version}) | libboinc-app7 (= ${source:Version}),
  ${misc:Depends}
-Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk2.8-dbg, boinc-server-dbg
+Suggests: libcurl3-dbg, libssl1.0.0-dbg, libwxgtk3.0-0-dbg,
 Description: debugging symbols for BOINC binaries
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing using volunteered computer
