=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 
 # Set default flags with dpkg-buildflags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 #export CXX=clang++
 
@@ -29,7 +27,7 @@
 # core client (with the --with-boinc-platform configure option) to match the
 # official BOINC platform, otherwise it would not download any applications,
 # because projects mostly provide applications for official BOINC platforms
-# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
+# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
 # of official BOINC platforms.
 #
 # The table of architectures known to dpkg-architecture are listed on
@@ -148,6 +146,7 @@
 
 # check if we need to enable server packages, based on "exp" string in changelog
 ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')
+#ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
 
 ifeq (,$(ENABLE_SERVER_TEST))
 $(shell sed 's/^%//' -i debian/control)
@@ -155,7 +154,6 @@
 $(shell sed '/^%/d' -i debian/control)
 endif
 
-#ENABLE_SERVER_TEST := $(shell egrep '^Package:.*boinc-server-maker' debian/control debian/control.in | grep -v boinc-server-maker)
 ifeq (,$(ENABLE_SERVER_TEST))
 ENABLE_SERVER := --enable-server
 endif
@@ -172,10 +170,15 @@
 # --disable-static
 # For debugging, these options are useful:
 #   --enable-debug
-#   --enable-wx-debug (need to install libwxbase2.8-dbg and libwxgtk2.8-dbg)
+#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
+#
+# The --libdir and --libexecdir is added to turn off
+# the debhelper multiarch feature.
 CFGFLAGS_boinc-client = \
   $(TYPE_FLAGS) \
   --prefix=/usr \
+  --libdir=/usr/lib \
+  --libexecdir=/usr/lib \
   $(ENABLE_CLIENT) \
   $(ENABLE_SERVER) \
   --disable-fcgi \
@@ -193,7 +196,7 @@
 # Default rule
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --with python2
 #	if [ ! -f debian/control -o debian/control.in -nt debian/control ]; then \
 		echo "Generating debian/control file from debian/control.in" ; \
 		( \
@@ -234,6 +237,3 @@
 # Commands not to execute - empty overrides
 override_dh_auto_test:
 
-#test-stamp:
-#	dh_testdir
-#	xmllint --nonet --noout \
